VisualLisp


Recommended Posts

Witam,

w jaki sposób poprawnie wywołać funkcję "vla-intersectwith"?

(setq obj1 (vlax-ename->vla-object (car(entsel))) 
     obj2 (vlax-ename->vla-object (car(entsel)))) 

;sposób 1: 
(vlax-safearray->list (vlax-variant-value  (vla-intersectwith obj1 obj2 0))) 
;sposób 2: 
(vlax-safearray->list (vlax-variant-value  (vla-intersectwith obj1 obj2 zcExtendNone)))

żaden z powyższych sposobów nie działa i zwraca błąd typu:

błąd: Zły typ argumentu

Obiekty, które wskazuję to np. łuk i linia.

Przykład zawarty w Pomocy ZwCAD, odnosi się tylko do VBA...

pozdrawiam

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share